- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_client_session_t

# mongoc_client_session_in_transaction()

## Synopsis

    bool
    mongoc_client_session_in_transaction (const mongoc_client_session_t *session);

Check whether a multi-document transaction is in progress for this session.

## Parameters

- `session`: A mongoc_client_session_t.

## Return

Returns true if a transaction was started and has not been committed or aborted, otherwise `false`.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.